Modding Help Updating mods for Stardew Valley 1.3

Discussion in 'Mods' started by Pathoschild, Apr 15, 2018.

  1. YukiNoUsagi

    YukiNoUsagi Poptop Tamer

    https://log.smapi.io/p5q7XNRT

    I hope I did it right. I'm new to the whole modding stuff, so it can be a tad confusing at first. Plus its my first time doing a log.
     
    • f4iTh

      f4iTh 2.7182818284590...

      Open Steam, right-click on Stardew Valley -> Properties.
      Click on the Local Files tab and click Verify integrity of game files. Somehow your game isn't at the most recent version of the beta (which is 1.3.20).

      Let me know if that fixes it for you.
       
      • YukiNoUsagi

        YukiNoUsagi Poptop Tamer

        That worked perfectly. Thank you for the pointers on how to fix it. Not only is it my first time really modding a game, but first timer in playing a game with beta stuff within it.
         
          f4iTh likes this.
        • Viviboo

          Viviboo Aquatic Astronaut

        • Pathoschild

          Pathoschild Cosmos Killer

          @YukiNoUsagi Both of those mods are updated officially now.
           
          • Mizzion

            Mizzion Phantasmal Quasar

            Attached Files:

            hatmouse and f4iTh like this.
          • Mizzion

            Mizzion Phantasmal Quasar

            CategorizeChests updated to work with SMAPI 2.6-beta.18
             

              Attached Files:

            • chiara

              chiara Void-Bound Voyager

            • paradigmnomad

              paradigmnomad Scruffy Nerf-Herder

              chiara likes this.
            • Zosa

              Zosa Phantasmal Quasar

              is there any thought on possibly patching the krobus marriage mod to be compatible with the beta? there is a way to get the dwarf but not krobus himself and he is one of my favorite characters
               
              • miome

                miome Yeah, You!

                Looks like something in the Stardew/SMAPI update yesterday broke the unofficial update, I get a message from SMAPI that it is disabled because it's no longer compatible. Would you consider updating it again? You would have my eternal gratitude! (Apologies if you get this message twice - I commented first on the NexusMods forum, but wasn't sure if you would get notified there ...)
                 
                • akahalo

                  akahalo Intergalactic Tourist

                  Hi, the link seems to be broken again, and SMAPI states that I need to get an update (I'm currently on 1.3.23 beta version of SDV). Could you or someone else update PelicanFiber adjustable to the current version? Thank you!
                   
                  • Escaleone

                    Escaleone Scruffy Nerf-Herder

                    Kinda new to this, but I've recompiled Customizable Death Penalty for Stardew 1.3.23, per Pathoschild's suggestion in the Nexus comments. I've updated the manifest, but the mod code is unchanged; seems to work as expected.

                    Edit: Updated Geode Info Menu in the same way, and re-attached the CDP mod with a more appropriate folder setup inside the zip.
                     

                      Attached Files:

                      Last edited: Jul 8, 2018
                    • gamingpanda10

                      gamingpanda10 Void-Bound Voyager

                      https://log.smapi.io/CpzmNbLa
                      Everyone seems to be having problems with actual mods but I somehow can't get SMAPI to work because it doesn't have a manifest. I've uninstalled and reinstalled it several times, following step by step instructions and I can't seem to get it to work. I'd appreciate any help, please! Thanks ahead of time
                       
                      • Escaleone

                        Escaleone Scruffy Nerf-Herder

                        Going by the log, it looks like you do have the latest beta version of SMAPI running successfully, but you put the install files' folder inside your Stardew Valley/Mods folder. SMAPI should be working properly, despite the error message; it just can't find any mods inside the Stardew Valley/Mods/SMAPI 2.6-beta.19.1 installer folder, which you can just delete or move elsewhere.
                         
                        • kelseyokami

                          kelseyokami Intergalactic Tourist

                          Is SMAPI working for version 3.1? I cant find any info about it. If so, which version of SMAPI should I install?
                           
                          • Escaleone

                            Escaleone Scruffy Nerf-Herder

                            If you mean Stardew Valley version 1.3, which is the current beta version, then yes. The latest beta version of SMAPI at smapi.io (the button that says Download SMAPI 2.6-beta.19.1) should work with the latest beta version of Stardew.
                             
                            • kelseyokami

                              kelseyokami Intergalactic Tourist

                              Thank you!
                               
                              • lt125

                                lt125 What do you get if you multiply six by nine?

                                Horse Whistle unofficial update isn't working anymore...
                                 
                                • patchyknows

                                  patchyknows Aquatic Astronaut

                                Share This Page